#define MIN(a,b)  (a < b ? a : b )
#define MAX(a,b)  (a > b ? a : b )
#define LENKEY(a)  (a > 0  ? 26 : 10 )

#define ETH_HW_ADDR_LEN 6	/* __u8[] MAC length */
#define LOGBUFFER		31336	/* __u8[] logbuffer before dump to logfile */

/* ripped from ethereal (x is __u16 frame control) */
#define COOK_ADDR_SELECTOR(x) ((x) & 0x300)
#define FLAG_TO_DS		0x01
#define FLAG_FROM_DS		0x02
#define DATA_ADDR_T1		0
#define DATA_ADDR_T2		(FLAG_FROM_DS << 8)
#define DATA_ADDR_T3		(FLAG_TO_DS << 8)
#define DATA_ADDR_T4		((FLAG_TO_DS|FLAG_FROM_DS) << 8)

/* tcpdump header struct */
typedef struct pcap_header_80211
{
  __u32 magic;
  u_short major;
  u_short minor;
  __u32 thiszone;
  __u32 timestamp_accuracy;
  __u32 snaplen;
  __u32 linktype;
}
pcap_header;


/*---------------------------------------------------------------------------------------*/

/* Edit this */
#define WINDOW_TIME_AP          5	/* window time analisis of AP trafic   (in seconds) */
#define WINDOW_TIME_CARD        10	/* window time analisis of cards trafic (in seconds) */
#define NUM_DISPATCHER          20	/* men at work  - 20 is all right for real 1Mbs - */
#define MAX_CARD_DEVICES 	255
#define MAX_AP_DEVICES 		10
#define STRONG			0	/* 0 = 40 bits, 1 = 128 bits */
