#define ETH_HW_ADDR_LEN 6

/* wepdata packet */
typedef struct
{
  __u8 *packetdata;
  int length;
  u_char *key;
  __u8 src[ETH_HW_ADDR_LEN];
  __u8 dst[ETH_HW_ADDR_LEN];
}
wepdata;

/* chained list */
typedef struct wepdata_elem
{
  wepdata data;
  struct wepdata_elem *next;
}
wepdata_elem;
