#define ETH_HW_ADDR_LEN 6

/* alerts culprit */
#define MAX_NUM_AUTH_RESP 	10
#define MAX_NUM_ASSOC_RESP 	10
#define MAX_NUM_REASSOC_RESP 	10
#define MAX_NUM_PROBE_RESP	30
#define MAX_NUM_DEAUTH		10
#define MAX_NUM_DISASSOC	10

typedef struct
{
  __u8 ap_mac[ETH_HW_ADDR_LEN];
  __u8 dst_mac[ETH_HW_ADDR_LEN];
  __u8 type;
  int num_offending_packet;
  struct timeval t_first_packet;
  struct timeval t_last_packet;
}
ap_stat;

typedef struct ap_stat_elem
{
  ap_stat data;
  struct ap_stat_elem *next;
}
ap_stat_elem;
