#define ETH_HW_ADDR_LEN 	6
#define MAX_PROBE_REQUEST       5	/* active sniffing  detection */
#define MAX_AUTH_REQUEST        8	/* WEP challenge provoc */
#define MAX_ASSOC_REQUEST       8	/* bad WEP key */
#define MAX_REASSOC_REQUEST     8	/* AP -> AP session */
#define WINDOW_CARD_RM          30	/* if nothing during last 5 min, remove card from list */
/* card sessions */
typedef struct
{
  __u8 card_mac[ETH_HW_ADDR_LEN];
  __u8 ap_mac[ETH_HW_ADDR_LEN];
  struct timeval t_first_packet;
  struct timeval t_last_packet;
  struct timeval t_flush;
  int is_known;
  int num_auth;
  int num_assoc;
  int num_reassoc;
  int num_probe_request;
  int num_data_sent;
  int num_data_received;
  int is_auth;
  int is_assoc;
  int WEP;
}
card_session;

/* chained list struct */
typedef struct card_session_elem
{
  card_session data;
  struct card_session_elem *next;
}
card_session_elem;
