/*
 * wep.h
 *
 * Tim Newsham
 * These files are placed in the Public Domain
 */

#define WEP_KEYNUM(iv)		((iv[3]) >> 6)

#define WEPKEYSIZE		5
#define WEPSTRONGKEYSIZE	13
#define WEPKEYS			4
#define WEPKEYSTORE		(WEPKEYSIZE * WEPKEYS)
#define WEPIVSIZE		4
#define WEPIVUSED		3

void wep_crypt (u_char * buf, int len, u_char * keys, u_char * iv,
		int strong);
int wep_decrypt (u_char * data, int len, u_char * keys, int check_icv,
		 int strong);
void wep_seedkeygen40 (int val, u_char * keys);
void wep_keygen40 (char *str, u_char * keys);
void wep_keygen128 (char *str, u_char * keys);
void wep_keygen (char *str, int strong, u_char * keys);
